uuid: bf7c680b-aa0a-4cd5-b16a-fa38f89b9843
langcode: en
status: true
dependencies:
  config:
    - filter.format.basic_html
  module:
    - ckeditor5
format: basic_html
editor: ckeditor5
settings:
  toolbar:
    items:
      - bold
      - italic
      - superscript
      - subscript
      - removeFormat
      - '|'
      - heading
      - style
      - '|'
      - link
      - '|'
      - blockQuote
      - horizontalLine
      - specialCharacters
      - drupalInsertImage
      - '|'
      - alignment
      - '|'
      - bulletedList
      - numberedList
      - '|'
      - sourceEditing
  plugins:
    ckeditor5_alignment:
      enabled_alignments:
        - left
        - center
        - right
        - justify
    ckeditor5_heading:
      enabled_headings:
        - heading1
        - heading2
        - heading3
        - heading4
        - heading5
        - heading6
    ckeditor5_imageResize:
      allow_resize: true
    ckeditor5_list:
      properties:
        reversed: false
        startIndex: true
      multiBlock: true
    ckeditor5_sourceEditing:
      allowed_tags:
        - '<cite>'
        - '<span>'
        - '<dl class>'
        - '<dt class>'
        - '<dd class>'
        - '<iframe allow allowfullscreen src width height frameborder>'
    ckeditor5_style:
      styles:
        -
          label: Button
          element: '<a class="button">'
        -
          label: Note
          element: '<p class="note">'
        -
          label: 'Larger text'
          element: '<p class="large">'
        -
          label: 'Page title'
          element: '<h1 class="node__title">'
        -
          label: 'Add a border'
          element: '<img class="border">'
        -
          label: 'Float left'
          element: '<img class="display-left">'
        -
          label: 'Float right'
          element: '<img class="display-right">'
        -
          label: H2
          element: '<p class="h2">'
        -
          label: H3
          element: '<p class="h3">'
        -
          label: H4
          element: '<p class="h4">'
    linkit_extension:
      linkit_enabled: true
      linkit_profile: staff
image_upload:
  status: false
  scheme: public
  directory: inline-images
  max_size: '1 MB'
  max_dimensions:
    width: 1200
    height: 1200
